# Retrieve an employment. Retrieves an employment for the provided ID. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Employment", "version": "2.0.0", "description": "Collection of endpoints to manage employments." }, "security": [ { "BearerAuth": [] } ], "servers": [ { "url": "https://api.personio.de" } ], "paths": { "/v2/persons/{person_id}/employments/{id}": { "get": { "summary": "Retrieve an employment.", "description": "Retrieves an employment for the provided ID.", "tags": [ "Employments" ], "x-path-examples": { "Employment response": { "value": "/v2/persons/5005/employments/some-normal-id" }, "Employment not found": { "value": "/v2/persons/5005/employments/id-that-does-not-exist" }, "List an employment for a non existing person": { "value": "/v2/persons/404/employments/some-normal-id" } }, "parameters": [ { "in": "path", "name": "person_id", "description": "The identifier of the person.", "schema": { "type": "string" }, "required": true }, { "in": "path", "name": "id", "description": "The identifier of the employment.", "schema": { "type": "string" }, "required": true } ], "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Employment" }, "examples": { "Employment response": { "$ref": "#/components/examples/EmploymentResponse" } } } } }, "404": { "description": "Resource not found.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1persons~1%7Bperson_id%7D~1employments/get/responses/400/content/application~1problem%2Bjson/schema" }, "examples": { "Employment not found": { "$ref": "#/components/examples/ResourceNotFound" }, "List an employment for a non existing person": { "$ref": "#/components/examples/ResourceNotFound" } } } } } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer" } }, "schemas": { "OrgUnit": { "description": "The Org Unit schema", "properties": { "type": { "type": "string", "description": "The type of the Org Unit, e.g. team or department." }, "id": { "type": "string", "description": "The Internal ID of the Org Unit." } } }, "CostCenter": { "description": "Cost center schema", "properties": { "id": { "type": "string", "description": "The unique identifier for the `cost_center`.", "readOnly": true }, "weight": { "type": "number", "description": "The weight of the `cost_center`." } } }, "Employment": { "description": "Employment schema", "properties": { "id": { "type": "string", "description": "The unique identifier for the `employment`.", "readOnly": true }, "position": { "type": "object", "properties": { "title": { "type": "string", "description": "The title of the `position`." } } }, "status": { "type": "string", "description": "The status of the employment. Only listed values are valid.", "enum": [ "ACTIVE", "INACTIVE", "ONBOARDING", "LEAVE", "UNSPECIFIED" ] }, "weekly_working_hours": { "type": "number", "description": "The total amount of weekly working hours." }, "full_time_weekly_working_hours": { "type": "number", "description": "The number of hours per week that is considered full time for the employment." }, "probation_end_date": { "type": "string", "example": "2024-01-17", "description": "The date that marks the end of the probation period." }, "employment_start_date": { "type": "string", "example": "2024-01-17", "description": "The date that marks the start of the employment." }, "employment_end_date": { "type": "string", "example": "2024-01-17", "description": "The date that marks the end of the employment." }, "type": { "type": "string", "enum": [ "UNSPECIFIED", "INTERNAL", "EXTERNAL" ], "description": "The employment type. Only listed values are valid." }, "contract_end_date": { "type": "string", "example": "2024-01-17", "description": "The date the contract ends for this employment." }, "created_at": { "type": "string", "format": "date-time", "description": "The date and time this employment was created in Personio.", "readOnly": true }, "updated_at": { "type": "string", "format": "date-time", "description": "The date and time this employment was last updated in Personio.", "readOnly": true }, "supervisor": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the supervisor." } } }, "office": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the `office`." } } }, "org_units": { "description": "All Org Units, i.e. department and team, directly associated with the employment.", "type": "array", "items": { "$ref": "#/components/schemas/OrgUnit" } }, "person": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the `person`." } }, "readOnly": true }, "termination": { "$ref": "#/components/schemas/Termination" }, "cost_centers": { "description": "The list of cost centers this employment is attached to.", "type": "array", "items": { "$ref": "#/components/schemas/CostCenter" } }, "legal_entity": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier for the employment legal entity." } } }, "sub_company": { "type": "object", "deprecated": true, "description": "This field is deprecated, use instead the legal entity.", "properties": { "id": { "type": "string", "description": "The unique identifier for the employment sub-company." } } }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } }, "Termination": { "description": "Termination schema", "properties": { "termination_date": { "type": "string", "format": "date", "description": "The termination date." }, "last_working_day": { "type": "string", "format": "date", "description": "The last working day date." }, "terminated_at": { "type": "string", "format": "date", "description": "The date on which an employee submits their resignation or the employer issues a termination notice." }, "type": { "type": "string", "enum": [ "UNSPECIFIED", "EMPLOYEE", "FIRED", "DEATH", "CONTRACT_EXPIRED", "AGREEMENT", "SUB_COMPANY_SWITCH", "IRREVOCABLE_SUSPENSION", "CANCELLATION", "COLLECTIVE_AGREEMENT", "SETTLEMENT_AGREEMENT", "RETIREMENT", "COURT_SETTLEMENT", "QUIT" ], "description": "The type of termination. Only listed values are valid." }, "reason": { "type": "string", "description": "The reason of the termination." } } } }, "examples": { "EmploymentResponse": { "value": { "id": "2306b77a-35fb-4b1d-8044-3b14f7f2ca65", "status": "ACTIVE", "weekly_working_hours": 40, "probation_end_date": "2023-07-01", "employment_start_date": "2023-01-01", "full_time_weekly_working_hours": 40, "employment_end_date": null, "type": "INTERNAL", "contract_end_date": "2024-01-01", "created_at": "2023-01-01T14:07:17Z", "updated_at": "2023-06-17T14:07:17Z", "position": { "title": "Software Engineer" }, "supervisor": { "id": "3003" }, "office": { "id": "60302" }, "legal_entity": { "id": "170" }, "sub_company": { "id": "47" }, "org_units": [ { "type": "team", "id": "4502" }, { "type": "department", "id": "401" } ], "cost_centers": [ { "id": "1000", "weight": 100 } ], "person": { "id": "5005" }, "termination": { "termination_date": "2022-12-12", "last_working_date": "2023-01-07", "terminated_at": "2022-11-01", "type": "QUIT", "reason": "Moving to a different position" }, "_meta": { "links": { "person": { "href": "https://api.personio.de/v2/persons/5005" }, "supervisor": { "href": "https://api.personio.de/v2/persons/3003" } } } } }, "ResourceNotFound": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Resource not found", "detail": "There is no resource for the specified id.", "type": "https://developer.personio.de/reference/errors#common.resource_not_found" } ] } } } } } ```